VESPA-PROD-INIT(1)

NAME
vespa-prod-init - Modify service.xml and deployment.xml for production deployment

SYNOPSIS
vespa prod init [flags]

DESCRIPTION
Modify service.xml and deployment.xml for production deployment.

Only basic deployment configuration is available through this command. For advanced configuration see the relevant Vespa Cloud documentation and make changes to deployment.xml and services.xml directly.

Reference: https://docs.vespa.ai/en/reference/applications/services/services.html https://docs.vespa.ai/en/reference/applications/deployment.html

OPTIONS
-h, --help[=false]
    help for init

OPTIONS INHERITED FROM PARENT COMMANDS
-a, --application=""
    The application to use (cloud only). Format "tenant.application.instance" - instance is optional

-C, --cluster=""
    The container cluster to use. This is only required for applications with multiple clusters

-c, --color="auto"
    Whether to use colors in output. Must be "auto", "never", or "always"

-i, --instance=""
    The instance of the application to use (cloud only)

-q, --quiet[=false]
    Print only errors

-t, --target="local"
    The target platform to use. Must be "local", "cloud", "hosted" or an URL

-z, --zone=""
    The zone to use. This defaults to a dev zone (cloud only)

SEE ALSO
vespa-prod(1)